Magento Forum

   
Aggiornamento Magento da 1.3.2.4 a 1.7 su Windows
 
giangioexum
Jr. Member
 
Total Posts:  6
Joined:  2013-02-21
 

Buongiorno a tutti,

ho una versione di magento versione 1.3.2.4 installata sul mio pc con Windows 7, php 5.3.22 e mysql 5.5, vorrei aggiornarla alla versione 1.7.

Ho provato a cercare i tutorial per eseguire l\’operazione da linea di comando ma ho trovato solo indicazioni in ambiente windows, allora ho provato l\’aggiornamento con Magento Connect, d\’apprima ho avuto problemi di funzionamento perché i canali non erano aggiornati, ho trovato il modo di aggiornare i canali.

Tento di installare l\’aggiornamento con la chiave magento-core/Mage_All_Latest

Ottengo questo messaggio:

No releases for package \"magento-core/Mage_All_Latest\" exist
Cannot initialize \’channel://connect.magentocommerce.com/core/Mage_All_Latest\’, invalid or missing package file
Install Errors
Package \"channel://connect.magentocommerce.com/core/Mage_All_Latest\" is not valid
PEAR ERROR: install failed

Qualcuno sa darmi delle indicazioni su come risolverlo o delle soluzioni alternative per l\’aggiornamento?

Grazie

 
Magento Community Magento Community
Magento Community
Magento Community
 
TreInnova
Guru
 
Avatar
Total Posts:  462
Joined:  2009-02-20
Fano
 
giangioexum - 05 March 2013 01:24 AM

Buongiorno a tutti,

ho una versione di magento versione 1.3.2.4 installata sul mio pc con Windows 7, php 5.3.22 e mysql 5.5, vorrei aggiornarla alla versione 1.7.

Ho provato a cercare i tutorial per eseguire l\’operazione da linea di comando ma ho trovato solo indicazioni in ambiente windows, allora ho provato l\’aggiornamento con Magento Connect, d\’apprima ho avuto problemi di funzionamento perché i canali non erano aggiornati, ho trovato il modo di aggiornare i canali.

Tento di installare l\’aggiornamento con la chiave magento-core/Mage_All_Latest

Ottengo questo messaggio:

No releases for package \"magento-core/Mage_All_Latest\" exist
Cannot initialize \’channel://connect.magentocommerce.com/core/Mage_All_Latest\’, invalid or missing package file
Install Errors
Package \"channel://connect.magentocommerce.com/core/Mage_All_Latest\" is not valid
PEAR ERROR: install failed

Qualcuno sa darmi delle indicazioni su come risolverlo o delle soluzioni alternative per l\’aggiornamento?

Grazie

Ciao ,
l’operazione che stai tendando di fare non è per nulla semplice ne “scontata”. Puoi trovare molti post nei forum con
problemi di upgrade da versioni vecchie (anche molto).
Il tuo è un esercizio di stile oppure hai la necessità di fare questo upgrade?
Potresti provare a scaricarti la 1.7.2 e di seguito procedere con l’installazione.
Nel momento in cui ti chiede il database puoi dare le coordinate del database 1.3.2.
La procedura di installazione dovrebbe tentare un upgrade del database.
successivamente potresti provare (se qualcosa va storto) con il tool database repair tools.
Questa è la strada che di solito percorro. Poi ci sono degli aggiustamenti da fare caso per caso
a seconda del livello di personalizzazione dei prodotti e del template.
In bocca al lupo e facci sapere come va!
fe.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
    Back to top